digiKam Developer Documentation: Digikam::DIntRangeBox Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::DIntRangeBox Class Reference
Inheritance diagram for Digikam::DIntRangeBox:

## Signals
void | maxChanged (int)
void | minChanged (int)

## Public Member Functions
| DIntRangeBox (QWidget *const parent=nullptr)
int | maxValue ()
| This method returns the maximum value of the interval.
int | minValue ()
| This method returns the minimum value of the interval.
void | setEnabled (bool enabled)
| This method enables or disables the embedded spinboxes.
void | setInterval (int min, int max)
| This method sets the minimum and maximum of the interval.
void | setRange (int min, int max)
| This method sets the lower and upper threshold of possible interval minimum and maximum values.
void | setSuffix (const QString &suffix)
| This method sets the suffix for the minimum and maximum value boxes.

## Member Function Documentation

## ◆ maxValue()

int Digikam::DIntRangeBox::maxValue | ( |  | ) |

Returns
  the maximum value.

## ◆ minValue()

int Digikam::DIntRangeBox::minValue | ( |  | ) |

Returns
  the minimum value.

## ◆ setEnabled()

void Digikam::DIntRangeBox::setEnabled | ( | bool | enabled | ) |

Parameters

  enabled | If the interval boxes should be enabled.

## ◆ setInterval()

void Digikam::DIntRangeBox::setInterval | ( | int | min,
|  | int | max
| ) |  |

Parameters

  min | The minimum value of the interval.
  max | The maximum value of the interval.

## ◆ setRange()

void Digikam::DIntRangeBox::setRange | ( | int | min,
|  | int | max
| ) |  |

Parameters

  min | the lowest value to which the interval can be expanded.
  max | the highest value to which the interval can be expanded.

## ◆ setSuffix()

void Digikam::DIntRangeBox::setSuffix | ( | const QString & | suffix | ) |

Parameters

  suffix | The suffix.